## com.fasterxml.jackson.databind
Class Module

    java.lang.Object
      com.fasterxml.jackson.databind.Module

All Implemented Interfaces:
  Versioned

Direct Known Subclasses:
  SimpleModule

    public abstract class Module

extends Object
implements Versioned

Simple interface for extensions that can be registered with `ObjectMapper` to provide a well-defined set of extensions to default functionality; such as support for new data types.

Nested Class Summary
`static interface` `Module.SetupContext` Interface Jackson exposes to modules for purpose of registering extended functionality.

Constructor Summary
`Module()`

Method Summary
`abstract String` `getModuleName()` Method that returns identifier for module; this can be used by Jackson for informational purposes, as well as in associating extensions with module that provides them.
`abstract void` `setupModule(Module.SetupContext context)` Method called by `ObjectMapper` when module is registered.
`abstract Version` `version()` Method that returns version of this module.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Module

    public Module()

Method Detail

### getModuleName

    public abstract String getModuleName()

  Method that returns identifier for module; this can be used by Jackson for informational purposes, as well as in associating extensions with module that provides them.

### version

    public abstract Version version()

  Method that returns version of this module. Can be used by Jackson for informational purposes.

  Specified by:
    `version` in interface `Versioned`

### setupModule

    public abstract void setupModule(Module.SetupContext context)

  Method called by `ObjectMapper` when module is registered. It is called to let module register functionality it provides, using callback methods passed-in context object exposes.

Copyright © 2012 fasterxml.com. All Rights Reserved.